part of modern_form_core;

final _keyScaff = GlobalKey<ScaffoldState>();

class ModernFormGlobalContext {
  static BuildContext get context => _keyScaff.currentContext;

  static Size get size => MediaQuery.of(context).size;
  static double get width => size.width;
  static double get height => size.height;

  static Widget builder(BuildContext context, Widget child) {
    return Navigator(
      initialRoute: '/',
      onGenerateRoute: (_) => MaterialPageRoute(
        builder: (context) => _BuildPage(
          child: child,
        ),
      ),
    );
  }
}

class _BuildPage extends StatefulWidget {
  final Widget child;
  const _BuildPage({Key key, this.child}) : super(key: key);
  @override
  __BuildPageState createState() => __BuildPageState();
}

class __BuildPageState extends State<_BuildPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      resizeToAvoidBottomInset: false,
      key: _keyScaff,
      body: widget.child,
    );
  }
}
