part of modern_form_core;

enum ModernFormFileExtensionType { DOC, DOCX, PDF, XLS, XLSX, PPT, PPTX }

extension FileExtensionTypeToString on ModernFormFileExtensionType {
  String get toElegantString =>
      this.toString().replaceAll('FileExtensionType', "").toUpperCase();
  String get toValueString =>
      this.toString().replaceAll('FileExtensionType.', "").toLowerCase();
}

extension StringToFileExtensionType on String {
  ModernFormFileExtensionType get toFileExtensionType =>
      ModernFormFileExtensionType.values.firstWhere(
        (element) =>
            this.toUpperCase() ==
            element
                .toString()
                .replaceAll('FileExtensionType.', "")
                .toUpperCase(),
        orElse: () => ModernFormFileExtensionType.PDF,
      );
}
