part of modern_form_core;

class ModernFormUtils {
  static Color get primaryColor =>
      Theme.of(ModernFormGlobalContext.context).primaryColor;
  static Color secundaryColor = Colors.blue;

  static String cpfMask = "000.000.000-00";
  static String cnpjMask = "00.000.000/0000-00";
  static String phoneMask = "(00) 0000 00000";

  static num webBreakdown = 768;

  static TargetPlatform get platform =>
      Theme.of(ModernFormGlobalContext.context).platform;
  static bool get isIos => platform == TargetPlatform.iOS;
  static bool get isAndroid => platform == TargetPlatform.android;

  static NumberFormat oCcy = NumberFormat.simpleCurrency(locale: "pt_BR");
  static DateFormat dateFormat = DateFormat('dd/MM/yyyy', 'pt_BR');
  static DateFormat timeFormat = DateFormat('jm', 'pt_BR');

  static String dateTimeFormat(DateTime date, [String separator]) {
    if (date == null) {
      return "";
    }
    return dateFormat.format(date ?? DateTime.now()) +
        " ${separator ?? 'às'} " +
        timeFormat.format(date ?? DateTime.now()) +
        " hrs";
  }
}
