part of modern_form_core;

class ImageWidget extends StatelessWidget {
  final String imageUrl;
  final Uint8List imageMemory;
  final BoxFit fit;
  final double width;
  final bool forceNetworkIfNotMemory;
  final String assetPlaceHolder;

  const ImageWidget({
    Key key,
    this.imageUrl,
    this.imageMemory,
    this.fit,
    this.width,
    this.forceNetworkIfNotMemory,
    this.assetPlaceHolder,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    BoxFit _fit = fit ?? BoxFit.cover;
    // a();
    return Container(
      width: width != null ? ScreenUtil().setWidth(width) : null,
      child: imageMemory != null && imageMemory.isNotEmpty
          ? Image.memory(imageMemory, fit: _fit)
          : imageUrl != null && imageUrl.isNotEmpty
              ? CustomNetWorkImage(
                  imageUrl: imageUrl,
                  fit: _fit,
                  forceNetworkIfNotMemory: forceNetworkIfNotMemory,
                )
              : assetPlaceHolder != null
                  ? Image.asset(assetPlaceHolder, fit: _fit)
                  : Container(),
    );
  }

  // Future<void> a() async {
  //   print("imageUrl --> $imageUrl");
  //   http.Response r = await http.get(imageUrl);
  //   print("r --> ${r.body}");
  // }
}
