part of modern_form_videos;

class ModernFormViewVideo extends StatefulWidget {
  final String videoUrl;
  final String videoPath;

  const ModernFormViewVideo({
    Key key,
    this.videoUrl,
    this.videoPath,
  }) : super(key: key);

  @override
  _ModernFormViewVideoState createState() => _ModernFormViewVideoState();
}

class _ModernFormViewVideoState extends State<ModernFormViewVideo> {
  void Function(BuildContext) share;
  bool isError = false;

  FlickManager flickManager;

  @override
  void initState() {
    share = _share(widget.videoUrl, widget.videoPath);

    flickManager = ModernFormViewVideoHelper.flickManager(
      widget.videoUrl,
      widget.videoPath,
      onError,
    );

    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    bool isYoutube = widget.videoPath == null &&
        widget.videoUrl != null &&
        (widget.videoUrl.contains('youtube') ||
            widget.videoUrl.contains('youtu.be'));

    if (isYoutube) {
      return ModernFormYoutubeViewPlayer(url: widget.videoUrl, share: share);
    }

    return ModernFormVideoPlayer(flickManager: flickManager, share: share);
  }

  void onError() {
    share = (BuildContext context) {
      ModernFormLinksHelper.showShareType(
        context,
        onDownload: () async {
          await ModernFormViewVideoHelper.downloadArquive(widget.videoUrl);
          setState(() {
            flickManager = ModernFormViewVideoHelper.flickManager(
              widget.videoUrl,
              widget.videoPath,
              onError,
            );
          });
        },
        onShareUrl: () async {
          ModernFormViewVideoHelper.shareUrl(widget.videoUrl);
        },
        onShareArquive: () async {
          ModernFormViewVideoHelper.shareArquive(
              widget.videoPath, widget.videoUrl);
        },
        menuLocation: ModernFormPopupMenuLocation.BottomRight,
      );
    };
    if (!isError) {
      setState(() {
        isError = true;
      });
    }
  }
}

void Function(BuildContext) _share(String url, String path) {
  return (BuildContext context) {
    ModernFormLinksHelper.showShareType(
      context,
      onShareUrl: () async {
        ModernFormViewVideoHelper.shareUrl(url);
      },
      onShareArquive: () async {
        ModernFormViewVideoHelper.shareArquive(path, url);
      },
      menuLocation: ModernFormPopupMenuLocation.BottomRight,
    );
  };
}
