part of modern_form_videos;

class ModernFormViewVideos extends StatelessWidget {
  final List<String> videosUrl;
  final List<String> videosPath;
  final Axis direction;

  const ModernFormViewVideos(
      {Key key, this.videosUrl, this.videosPath, this.direction})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    bool isHorizontal = direction == null || direction == Axis.horizontal;
    bool isMemory = videosPath != null && videosPath.isNotEmpty;

    return Container(
      height: isHorizontal ? ScreenUtil().setHeight(120) : null,
      child: ListView.builder(
        shrinkWrap: true,
        scrollDirection: direction ?? Axis.horizontal,
        physics: isHorizontal ? null : NeverScrollableScrollPhysics(),
        itemCount: isMemory ? videosPath?.length : videosUrl?.length ?? 0,
        itemBuilder: (context, index) {
          String videoUrl = videosUrl != null && (videosUrl.length - 1) >= index
              ? videosUrl[index]
              : null;
          String videoPath;

          if (isMemory) {
            videoPath = videosPath[index];
          }

          return Padding(
            padding: EdgeInsets.only(
              right: isHorizontal ? ScreenUtil().setWidth(20) : 0,
              bottom: isHorizontal ? 0 : ScreenUtil().setHeight(10),
            ),
            child: Padding(
              padding: const EdgeInsets.all(8.0),
              child:
                  ModernFormViewVideo(videoUrl: videoUrl, videoPath: videoPath),
            ),
          );
        },
      ),
    );
  }
}
